# Uses of Interface
org.eclipse.ui.views.properties.tabbed.ITabDescriptor

Packages that use ITabDescriptor
Package
Description
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of ITabDescriptor in org.eclipse.ui.views.properties.tabbed

Classes in org.eclipse.ui.views.properties.tabbed that implement ITabDescriptor
Modifier and Type
Class
Description
`class`
`AbstractTabDescriptor`
An abstract implementation of a tab descriptor for the tabbed property view.
Methods in org.eclipse.ui.views.properties.tabbed that return ITabDescriptor
Modifier and Type
Method
Description
`ITabDescriptor[]`
TabbedPropertySheetPage.`getActiveTabs()`
Returns the list of currently active tabs.
`ITabDescriptor`
TabbedPropertySheetPage.`getSelectedTab()`
Returns the currently selected tab.
`ITabDescriptor[]`
ITabDescriptorProvider.`getTabDescriptors(IWorkbenchPart part, ISelection selection)`
Returns all tab descriptors.
Methods in org.eclipse.ui.views.properties.tabbed with parameters of type ITabDescriptor
Modifier and Type
Method
Description
`protected TabContents`
TabbedPropertySheetPage.`createTab(ITabDescriptor tabDescriptor)`
Create the tab contents for the provided tab descriptor.
`protected TabContents`
TabbedPropertySheetPage.`getTabContents(ITabDescriptor tabDescriptor)`
Returns the TabContents object corresponding to the given tab-descriptor.
`void`
ITabSelectionListener.`tabSelected(ITabDescriptor tabDescriptor)`
Notifies this listener that the selected tab has changed.
`protected void`
TabbedPropertySheetPage.`updateTabs(ITabDescriptor[] descriptors)`
Update the current tabs to represent the given input object.